Robotics Service Bus - Enhancement #283
Unify exception handling
05/11/2011 05:29 PM - J. Wienke

Status: In Progress
Priority: Normal
Assignee:

Category: C++

Target version:

Start date:

Due date:

% Done:
Estimated time:

05/11/2011

30%
2.50 hours

Description

Currently there is a mixture of using a common RSB Exception base class and using std exceptions if possible. We should decide on

one strategy and refactor the existing code base.

Related issues:

Related to Robotics Service Bus - Tasks # 1768: Evaluate Boost.Exception for ...

New

02/14/2014

History

#1 - 05/16/2011 01:41 PM - J. Wienke

[[CodingGuidelines]]

#2 - 05/16/2011 04:54 PM - J. Moringen

- Status changed from New to In Progress
- % Done changed from 0 to 30

Specification is at [[CodingGuidelines]]. Implementation remains.

#3 - 11/18/2011 03:05 PM - S. Wrede
- Target version set to 0.6

#4 - 02/27/2012 03:29 PM - J. Wienke
- Target version deleted (0.6)
